X.509 certificate pkcs#1 v2.1 support

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

when using X.509 and the  algorithmIdentifier of the publicKeyInfo is
rsaEncryption (it must has null params) how can one know is to use
pkcs#1 v2.1 or pkcs#1 v1.5?

accroding to RFC 4055, section 4:" Entities that use a certificate with
   publicKeyAlgorithm value of rsaEncryption SHOULD use the default set
   of parameters for RSAES-OAEP-params. "

unless the two algorithms pkcs#1 v1.5 and RSAES-OAEP with default
params are equal.

Thanks in advanced for your reply.

Site Timeline